net.sf.jasperreports.charts

## Interface JRXyzSeries

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable
  All Known Implementing Classes:
    JRBaseXyzSeries, JRDesignXyzSeries, JRFillXyzSeries

      public interface JRXyzSeries
      extends JRCloneable

  Version:
    $Id: JRXyzSeries.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Flavius Sana (flavius_sana@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getXValueExpression()`
    `JRExpression` | `getYValueExpression()`
    `JRExpression` | `getZValueExpression()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getSeriesExpression

          JRExpression getSeriesExpression()

      Returns:
        a `java.lang.Comparable` object that identifies a certain data series in the overall dataset. It can return different values, which will result in the dataset containing multiple series even when a single `<xyzSeries>` tag is used inside the `<xyzDataset>` tag.

    - #### getXValueExpression

          JRExpression getXValueExpression()

      Returns:
        a numeric expression representing the X value from the (x, y, z) item that will be added to the current data series.

    - #### getYValueExpression

          JRExpression getYValueExpression()

      Returns:
        a numeric expression representing the Y value from the (x, y, z) item that will be added to the current data series.

    - #### getZValueExpression

          JRExpression getZValueExpression()

      Returns:
        a numeric expression representing the Z value from the (x, y, z) item that will be added to the current data series.

    - #### getItemHyperlink

          JRHyperlink getItemHyperlink()

      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Returns:
        hyperlink specification for chart items

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com